%define __libtoolize    /bin/true

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

Name: knetworkmanager
Version: 0.2
Release: %mkrel 1
Group: Networking/File transfer
Summary: Network management program for KDE
License: GPL
Url: http://www.kde-apps.org/content/show.php/KNetworkManager
Source0: %{name}-%{version}.tar.bz2
Source1: admin.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: networkmanager-devel
BuildRequires: kdelibs-devel
BuildRequires: libnl-devel
BuildRequires: dbus-devel
BuildRequires: libnetworkmanager-util-devel
BuildRequires: hal-devel
BuildRequires: lsb-release
BuildRequires: libdbus-qt-1-devel
BuildRequires: libiw-devel
Requires: networkmanager

%description
KNetworkManager is the KDE front end for NetworkManager. It provides a sophisticated and intuitive
user interface which enables users easily to switch their network environment. 
The range of functions encompasses the features implemented by NetworkManager daemon. 
Up until now NetworkManager supports: 
    - Wired Ethernet Devices (IEEE 802.3) 
    - Wireless Ethernet Devices (IEEE 802.11): Unencrypted, WEP, WPA Personal, WPA Enterprise 
    - Virtual Private Network (VPN): OpenVPN, VPNC 
    - Dial-Up (PPP)

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/apps/knetworkmanager
%{_datadir}/servicetypes/*
%{_datadir}/applications/kde/*
%{_iconsdir}/*/*/*/*
%{_sysconfdir}/dbus-1/system.d/*
%{_libdir}/libkdeinit_*
%{_libdir}/kde3/*
%{_datadir}/config.kcfg/*
# We do not need headers
%exclude %{_includedir}/*

%prep
%setup -q
tar xfj %SOURCE1 

%build
export QTDIR=%qt3dir

make -f admin/Makefile.common

%configure2_5x \
   --disable-rpath \
   --without-cdrecord-suid-root \
   %if "%{_lib}" != "lib"
   --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
   %endif
   %if %{use_enable_final}
   --enable-final \
   %endif
   --with-k3bsetup=no \
   %if %unstable
   --enable-debug=full 
   %else
   --disable-debug
   %endif

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang knetworkmanager

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus



%changelog
* Wed Jul 25 2007 Helio Chissini de Castro <helio@mandriva.com> 0.2-1mdv2008.0
+ Revision: 55509
- Added missing requires.
- import knetworkmanager-0.2-1mdv2008.0

  + Funda Wang <fundawang@mandriva.org>
    - BR dbus-qt3


